package momoko;

import momoko.protoclass.*;
import momoko.vfs.*;
import momoko.proxy.*;
import momoko.versioncontrol.*;
import momoko.stream.*;
import java.io.*;

public interface IMObject extends  Serializable, Comparable
  {
  VirtualFile getFileView();
  VirtualFile getDirectoryView();
  boolean release( IMObject object)  ;
  boolean accept( IMObject object)  ;
  void enterfunc( IMObject object)  ;
  void exitfunc( IMObject object)  ;
   IMObject create( IProtoClass parent,  String path,  String name) throws BadPathException;
   IMObject create(String ppath,  String path,  String name) throws BadPathException;
  IMObject makeLink() throws BadPathException;
  String getAbsolutePath();
   IMObject resolve( String path) throws BadPathException;
   String path()  ;
  boolean isLocal()  ;
  java.util.Map getrelationships()  ;
  void setparent(  IMObject p )  ;
   IMObject getparent()  ;
   IMObject location()  ;
  void setlocation(  IMObject newlocation )  ;
  java.util.Map contents()  ;
  void setcontents( java.util.Map newcontents )  ;
  void becomemount()  ;
  void setmountpoint(  IMObject point,  String s )  ;
   String name()  ;
  void showself(StreamHandler handler)  ;
  void setName(String name)  ;
  String getName()  ;
  void remove(String name)  ;
  void put(IMObject obj);
  }
