package momoko.compiler;

import momoko.Function;

public class Method
{
  public MethodHeader header;
  public MethodBody body;
  public MethodFooter footer;

  public Method() {}
  public Method(String n, Function f)
  {
    header=new MethodHeader(f.get_returnType(), n, f.get_args());
    body=new MethodBody(f.get_sourceCode());
    footer=new MethodFooter();
  }
}
