package momoko.extra;

import momoko.*;
import momoko.user.*;
import org.thalassocracy.irc.*;

public class IrcUser extends User implements IUser
{
  public IrcUser(String name)
  {
    super(name);
  }

public void whisper(IMObject user, String args)
{
System.out.println("whisper "+user.getName()+" "+args);
  IMObject mo=user.location();
  System.out.println("mo: "+mo);
  IRCRoom loc=(IRCRoom)mo;
  IrcClient client=loc.getClientForUser(user);
System.out.println("client: "+client);
  try { client.irc.privmsg(getName(), args); }
  catch(Exception e)
  {
    e.printStackTrace();
  }
System.out.println("done");
}

public void notify(String args)
{
}
}
