package momoko.forum;

import java.rmi.*;
import java.rmi.server.*;
import java.util.*;
import java.io.*;
import momoko.*;
import java.lang.reflect.*;
import javax.mail.*;

/**
 *  a multi-user aware object
 */
public class GenericMailFolder extends MObject implements IMObject, MailFolder
{
  static public boolean debug=false;
  transient Folder folder;

/**
 *  create a new object with the given name
 */
public GenericMailFolder(String newname, Store store)
{
  super(newname);
  if(debug) System.out.println("getting store "+newname);
  try
  {
    folder=store.getFolder(newname);
    if(debug) System.out.println(folder.getFullName());
    if(debug) System.out.println(folder.exists());
  }
  catch(Exception e) {e.printStackTrace();}
}

public IFolder getFolder() {return (IFolder)MailFolderProxy.newInstance(folder);}
}
