package momoko.rpc;

import momoko.*;
import java.rmi.RemoteException;
import java.rmi.Remote;

public interface RemoteObjectServer
{
  abstract public void initialize(int port) throws Exception;
  abstract public Object justexport(Remote obj) throws RemoteException;
  abstract public void export(Remote obj, String dest) throws RemoteException;
  abstract public void bind(String dest, Remote obj) throws Exception;
  abstract public IMObject lookup(String dest) throws Exception;
  abstract public void shutdown();
  abstract public int getPort();
}
