package momoko.server;

import momoko.MObject;
import java.util.*;

public class ConfigModule extends MObject implements Module
{
  public ConfigModule() {this("");}
  public ConfigModule(String name) {super(name);}

  public void initialize(Properties args) throws Exception
  {
    Enumeration iterator=args.propertyNames();
    while(iterator.hasMoreElements())
    {
      String str=(String)iterator.nextElement();
      if(str.equals("name")) continue;
      if(str.equals("location")) continue;
      String cname=args.getProperty(str);
      Class cc=Class.forName(cname);
      Object comp=cc.newInstance();
      subdir.put(str, comp);
    }
  }

  public void shutdown() {}
}
