package momoko.straw;

import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.reflect.*;
import momoko.Database;
import java.rmi.Remote;

public class StrawArrayReference implements Serializable
{
  private InetAddress addr;
  private Class primary;
  private Class[] interfaces;
  private StrawReference[] refs;

  public StrawArrayReference(Class newprimary, Class[] newinterfaces, StrawReference[] newrefs)
  {
    primary = newprimary;
    interfaces=newinterfaces;
    refs=newrefs;
    try { addr=InetAddress.getLocalHost(); }
    catch(Exception e) {e.printStackTrace();}
    System.out.println("New array reference: "+this);
//    try {throw new NullPointerException();}
//    catch(NullPointerException e) {e.printStackTrace();}
  }

  public String toString()
  {
    String s=addr.toString()+"/[";
    for(int x=0; x<refs.length;x++)
      s=s+refs[x].toString()+",";
    s=s+"]";
    return s;
  }

  public StrawReference[] getRefs() {return refs;}

  public Class getPrimaryClass() {return primary;}

  public Class[] getInterfaces() {return interfaces;}
}
