package org.thalassocracy.irc;

import java.util.*;

public class StringUtils {

    static public Vector split(String path, String delim)
    {
        int i;
        Vector parts=new Vector();

        if (path==null) {
            return parts;
        }

        while(path.length()>0) {
            i = path.indexOf(delim);

            if (i == -1) {
                parts.addElement(path);
                break;
            } else {
                parts.addElement(path.substring(0,i));
                path = path.substring(i+1);
            }
        }

        return parts;

    }

    static public String replace(String s, String olds, String news)
    {
        StringBuffer rb = new StringBuffer("");
        int i, j;

        i = 0;
        while ((j = s.indexOf(olds, i))!=-1) {
            rb.append(s.substring(i,j));
            rb.append(news);
            i = j + olds.length();
        }
        rb.append(s.substring(i));

        return rb.toString();
    }
}
