package momoko.extra;

import momoko.*;
import momoko.proxy.*;
import java.rmi.RemoteException;
import java.util.*;
import java.io.IOException;

public class Describing extends MObject
{
  static public boolean debug=false;

  public Describing()
  {
    this("");
  }

  public Describing(String name)
  {
    super(name);
  }

  public void enterfunc(IMObject object)
  {
    try {
    subdir.remove(object.getName());
    subdir.put(object.getName(), makeDescription(object));
    } catch(Exception e) {e.printStackTrace();}
  }


    public Object makeDescription(IMObject obj)
    {
      Class[] i, i2;
      if(debug) System.out.println("Making descriptive for "+obj);
      i=obj.getClass().getInterfaces();
      i2=new Class[i.length+1];
      int x;
      for(x=0; x<i.length; x++)
      {
        i2[x]=i[x];
        if(debug) System.out.println("Has interface "+i[x]);
      }
      i2[x]=Descriptive.class;
      return java.lang.reflect.Proxy.newProxyInstance(
        obj.getClass().getClassLoader(), i2, new DescriptiveProxy(obj, i2));
    }

  private class DescriptiveProxy extends DelegationProxy
  {
    public DescriptiveProxy(IMObject object, Class[] interfaces)
    {
      super(interfaces, Describing.makeObjects(object, interfaces));
    }
  }

    static private Object[] makeObjects(Object object, Class[] interfaces)
    {
      Object[] carr=new Object[interfaces.length];
      int x;
      for(x=0;x<interfaces.length-1;x++)
      {
        carr[x]=object;
        if(debug) System.out.println(interfaces[x]+" <-> "+carr[x]);
      }
      carr[x]=new Description("?", "!");
      if(debug) System.out.println(interfaces[x]+" <-> "+carr[x]);
      return carr;
    }

}
