package momoko.forum;

import java.sql.*;
import java.util.*;

public class SQLDB
{
  static public SQLDB db;
  private Connection c;
  private Statement stmt;
  private ResultSet rs;

static public void main(String[] args)
{
  SQLDB sqldb=new SQLDB();
  Vector v=new Vector();
  v.addElement("Number");
  v.addElement("Username");
  v.addElement("Subject");
  v=sqldb.fetch(v, "writing");
  Enumeration iterator=v.elements();
  while(iterator.hasMoreElements())
    System.out.println(iterator.nextElement());
}

public SQLDB()
{
try{
  Object o=Class.forName("org.gjt.mm.mysql.Driver");
  
  connect();
} catch(Exception e) {e.printStackTrace();}
}

private void connect() throws SQLException
{
  c = 
java.sql.DriverManager.getConnection("jdbc:mysql://localhost/forumone?user=root");
}

public Vector list(String key, String tablename)
{
  return list(key, tablename, null, null, null, false);
}

public Vector list(String key, String tablename, String ff, String fs, String sort, boolean reverse)
{
  try {
  stmt = c.createStatement();
  String statement="select "+key+" from "+tablename;
  if(ff!=null)
    statement=statement+" where "+ff+"="+fs;
  if(sort!=null)
  {
    statement=statement+" order by "+sort;
    if(reverse==true)
      statement=statement+" DESC";
  }
  rs = stmt.executeQuery(statement);

  Vector v=new Vector();
  while(rs.next())
    v.addElement(rs.getString(1));

  rs.close();
  stmt.close();
  return v;
  } catch(Exception e) {e.printStackTrace(); return null;}
}

public Vector fetch(Vector keys, String tablename)
{
  return fetch(keys, tablename, null, null, null, false);
}

public Vector fetch(Vector keys, String tablename, String ff, String fs, String sort, boolean reverse)
{
  try {
  stmt = c.createStatement();
  String statement="select ";
  int count=keys.size();
  Enumeration iterator=keys.elements();
  statement=statement+iterator.nextElement();
  while(iterator.hasMoreElements())
    statement=statement+","+iterator.nextElement();
  statement=statement+" from "+tablename;
  if(ff!=null)
    statement=statement+" where "+ff+"="+fs;
  if(sort!=null)
  {
    statement=statement+" order by "+sort;
    if(reverse==true)
      statement=statement+" DESC";
  }
//  System.out.println(statement);
  rs = stmt.executeQuery(statement);

  Vector v=new Vector();
  while(rs.next())
  {
    Hashtable h=new Hashtable();
    iterator=keys.elements();
    for(int x=1;x<=count;x++)
    {
      Object o=iterator.nextElement();
//      System.out.println("Fetching "+o);
      String s=rs.getString(x);
//      System.out.println("value: "+s);
      if(s==null) s="--- Post Deleted ---";
      h.put(o, s);
    }
    v.addElement(h);
  }

  rs.close();
  stmt.close();
  return v;
  } catch(Exception e) {e.printStackTrace(); return null;}
}

}
