package momoko.server;

import java.io.*;
import momoko.*;
import momoko.stream.*;
import java.util.*;

public class LineParser extends Parser
{
  public Object parse(InputStream in)
  {
    try
    {
      String s=readLine(in);
      return s;
    } 
    catch(Exception e) {return null;}
  }

  static private String readLine(InputStream isr) throws Exception
  {
//    InputStreamReader isr=new InputStreamReader(in);
    char[] carr=new char[1];
    byte[] barr=new byte[1];
    int c=isr.read(barr);
    carr[0]=(char)barr[0];
    if(c==-1) {return null;}
    StringBuffer buff=new StringBuffer();
    while(c!=-1 && carr[0]!='\n')
    {
      if(carr[0]!='\r')
        buff.append(carr[0]);
      c=isr.read(barr);
      carr[0]=(char)barr[0];
    }
//System.out.println("buff: "+buff);
    return buff.toString();
  }
}
