package momoko.server;

import java.io.*;
import momoko.*;

public class PythonParser extends Parser
{
  BufferedReader buff;

  public PythonParser() { super(); }

  public Object parse(InputStream in)
  {
    BufferedReader buff=new BufferedReader(new InputStreamReader(in));
    String str, bigstr=null;
    boolean multi=false;

    while(true)
    {
    try {str=buff.readLine();}
    catch(IOException e) {return null;}
    if(multi)
    {
      if(str.equals("")) return bigstr;
      else bigstr=bigstr+"\n"+str;
    }
    else if(str.charAt(str.length()-1)==':')
    {
      bigstr=str;
      multi=true;
    }
    else return str;
  }
  }
}
