package org.thalassocracy.irc;

import java.util.*;

class IrcEventWaiter implements IrcEventListener {

    private Vector events;

    public IrcEventWaiter ()
    {
        events = new Vector();
    }

    public synchronized IrcEvent getEvent ()
    {
        IrcEvent event = null;
        if (events.size() > 0) {
            try {
                event = (IrcEvent)events.firstElement();
                events.removeElementAt(0);
            } catch (Exception e) {
                e.printStackTrace();
                event = null;
            }
        }
        return (event);
    }

    public synchronized void handleEvent (IrcEvent foo)
    {
        events.addElement(foo);
        notify();
    }

}
