package org.thalassocracy.irc;

import java.util.*;

public class StringTokenExtractor {

    private String delim;
    private String remainder;

    public StringTokenExtractor (String input, String delim)
    {
        this.remainder=input;
        this.delim=delim;
    }

    public String nextToken ()
    {
        int i;
        String ret = "";

        i = this.remainder.indexOf(this.delim);
        if (i != -1) {
            ret = this.remainder.substring(0, i);
            this.remainder = this.remainder.substring(i+1);
        } else {
            ret = this.remainder;
            this.remainder = "";
        }

        return ret;
    }

    public String getRemainder ()
    {
        return this.remainder;
    }

    public boolean hasMoreTokens ()
    {
        if (this.remainder.equals("")) {
            return false;
        } else {
            return true;
        }
    }
}
